Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] Firefox 52.4 / Firefox 57
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 234

PostPosted: Fri Nov 17, 2017 11:27 am    Post subject: [solved] Firefox 52.4 / Firefox 57 Reply with quote

Hallo

Firefox 52.4 schießt sich ab sobald ich https://www.reddit.com/ anzeigen lassen will.
Ich habe dafür zum test ein ganz frisches config Verzeichnis benutzt:

Code:
firefox
[Parent 23303] WARNING: pipe error (55): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 322
[Parent 23303] WARNING: pipe error (46): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 322
[Parent 23303] WARNING: pipe error (43): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 322

###!!! [Parent][MessageChannel] Error: (msgtype=0x2C0085,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv


Nun dachte ich mir dann nehme ich halt den Neuen, doch da gibt es jedoch Probleme mit clang und llwm:

in package. keyword habe ich die Pakete aufgenommen die portage mir genannt hat:

Code:
www-client/firefox ~amd64
# required by sys-devel/clang-runtime-5.0.0::gentoo[openmp]
# required by sys-devel/clang-5.0.0::gentoo
# required by sys-libs/compiler-rt-5.0.0::gentoo[clang]
=sys-libs/libomp-5.0.0 ~amd64
# required by sys-devel/clang-runtime-5.0.0::gentoo[compiler-rt]
# required by sys-devel/clang-5.0.0::gentoo
# required by www-client/firefox-57.0::gentoo
# required by firefox (argument)
=sys-libs/compiler-rt-5.0.0 ~amd64
# required by www-client/firefox-57.0::gentoo
# required by firefox (argument)
=dev-libs/nspr-4.17 ~amd64
# required by dev-java/icedtea-bin-3.6.0::gentoo[-headless-awt,multilib]
# required by virtual/jdk-1.8.0-r3::gentoo
# required by virtual/jre-1.8.0-r1::gentoo
# required by dev-java/icedtea-web-1.6.1-r1::gentoo
=media-libs/libpng-1.6.34 ~amd64
# required by sys-devel/llvm-5.0.0::gentoo
# required by sys-devel/clang-5.0.0::gentoo
# required by sys-libs/compiler-rt-5.0.0::gentoo[clang]
# required by sys-devel/clang-runtime-5.0.0::gentoo[compiler-rt]
=sys-devel/llvm-common-5.0.0 ~amd64
# required by sys-devel/clang-5.0.0::gentoo
# required by sys-libs/compiler-rt-5.0.0::gentoo[clang]
=sys-devel/clang-runtime-5.0.0 ~amd64
# required by www-client/firefox-57.0::gentoo
# required by firefox (argument)
=dev-libs/nss-3.34 ~amd64
# required by sys-devel/clang-5.0.0::gentoo
# required by sys-libs/compiler-rt-5.0.0::gentoo[clang]
# required by sys-devel/clang-runtime-5.0.0::gentoo[compiler-rt]
=sys-devel/llvm-5.0.0 ~amd64
# required by sys-devel/clang-runtime-5.0.0::gentoo[compiler-rt,sanitize]
# required by sys-devel/clang-5.0.0::gentoo
# required by sys-libs/compiler-rt-5.0.0::gentoo[clang]
=sys-libs/compiler-rt-sanitizers-5.0.0 ~amd64
# required by www-client/firefox-57.0::gentoo
# required by firefox (argument)
=sys-devel/clang-5.0.0 ~amd64


package.use:

Code:
>=app-text/texlive-core-2016-r5 xetex
# required by app-office/libreoffice-5.4.2.2::gentoo
# required by @selected
# required by @world (argument)
>=dev-libs/xmlsec-1.2.24-r1 nss

sys-devel/llvm LLVM_TARGETS: -AMDGPU
sys-devel/clang LLVM_TARGETS: -AMDGPU


Danach bekomme ich Probleme mit "blocks":

Code:
emerge firefox -av                                                                                                                                                                                       
                                                                                                                                                                                                                                           
These are the packages that would be merged, in order:                                                                                                                                                                                     
                                                                                                                                                                                                                                           
Calculating dependencies... done!                                                                                                                                                                                                           
[ebuild  N    ~] sys-devel/llvm-common-5.0.0::gentoo  22.864 KiB                                                                                                                                                                           
[ebuild     U ~] media-libs/libpng-1.6.34:0/16::gentoo [1.6.29:0/16::gentoo] USE="apng (-neon) -static-libs" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="sse" 0 KiB                                                                             
[ebuild  N     ] dev-perl/OLE-StorageLite-0.190.0-r1::gentoo  22 KiB                                                                                                                                                                       
[ebuild  N     ] dev-perl/Unicode-Map-0.112.0-r1::gentoo  465 KiB                                                                                                                                                                           
[ebuild  N     ] dev-perl/Crypt-RC4-2.020.0-r1::gentoo  5 KiB                                                                                                                                                                               
[ebuild  N     ] virtual/perl-XSLoader-0.220.0-r2::gentoo  0 KiB                                                                                                                                                                           
[ebuild  N     ] dev-perl/IO-stringy-2.111.0::gentoo  41 KiB                                                                                                                                                                               
[ebuild  N     ] dev-perl/Text-CSV_XS-1.280.0::gentoo  USE="-examples {-test}" 161 KiB                                                                                                                                                     
[ebuild  N     ] dev-perl/Digest-Perl-MD5-1.900.0::gentoo  71 KiB                                                                                                                                                                           
[ebuild  N     ] dev-perl/Spreadsheet-ParseExcel-0.650.0::gentoo  USE="unicode -cjk {-test}" 203 KiB                                                                                                                                       
[ebuild     U ~] dev-libs/nspr-4.17::gentoo [4.13.1::gentoo] USE="-debug" ABI_X86="32 (64) (-x32)" 0 KiB                                                                                                                                   
[ebuild  N     ] app-text/teckit-2.5.6::gentoo  USE="-static-libs" 2.443 KiB                                                                                                                                                               
[ebuild  N     ] dev-python/snowballstemmer-1.2.1::gentoo  PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_5 (-python3_6)" 49 KiB                                                                                             
[ebuild  N     ] dev-python/typing-3.5.3.0::gentoo  PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_5 (-python3_6)" 59 KiB                                                                                                   
[ebuild  N     ] dev-python/imagesize-0.7.1::gentoo  USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_5 (-python3_6)" 3 KiB                                                                                     
[ebuild  N     ] dev-python/sphinx_rtd_theme-0.1.9::gentoo  PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_5 (-python3_6)" 683 KiB                                                                                           
[ebuild  N     ] dev-python/alabaster-0.7.9::gentoo  PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_5 (-python3_6)" 11 KiB                                                                                                   
[ebuild  N     ] dev-python/sqlalchemy-1.1.12::gentoo  USE="sqlite -doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) -python3_5 (-python3_6)" 5.057 KiB                                                                   
[ebuild  N     ] dev-python/whoosh-2.7.4::gentoo  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) -python3_5 (-python3_6)" 947 KiB                                                                                           
[ebuild  N     ] dev-python/namespace-sphinxcontrib-1.0::gentoo  PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_5 (-python3_6)" 0 KiB                                                                                       
[ebuild  N     ] dev-python/markupsafe-0.23::gentoo  PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_5 (-python3_6)" 14 KiB                                                                                                   
[ebuild  N     ] dev-python/Babel-2.5.0::gentoo  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_5 (-python3_6)" 6.458 KiB                                                                                 
[ebuild  N     ] dev-python/jinja-2.9.5::gentoo  USE="-doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_5 (-python3_6)" 476 KiB                                                                         
[ebuild     U ~] dev-libs/nss-3.34::gentoo [3.29.5::gentoo] USE="nss-pem -cacert -utils" ABI_X86="(64) -32 (-x32)" 9.362 KiB
[ebuild  N    ~] sys-libs/libomp-5.0.0::gentoo  USE="-hwloc -ompt {-test}" ABI_X86="(64) -32 (-x32)" 2.026 KiB
[ebuild   R    ] app-text/texlive-core-2016-r5::gentoo  USE="X luajittex xetex* -cjk -doc -source -tk" 0 KiB
[ebuild  N     ] dev-texlive/texlive-pstricks-2016::gentoo  USE="-doc -source" 25.619 KiB
[ebuild  N     ] dev-texlive/texlive-pictures-2016::gentoo  USE="-doc -source" 3.398 KiB
[ebuild  N     ] dev-texlive/texlive-latexextra-2016::gentoo  USE="-doc -source" 12.041 KiB
[ebuild  N     ] dev-texlive/texlive-mathscience-2016::gentoo  USE="-doc -source" 3.082 KiB
[ebuild  N     ] dev-texlive/texlive-xetex-2016::gentoo  USE="X -doc -source" 854 KiB
[ebuild  N     ] dev-texlive/texlive-luatex-2016::gentoo  USE="-doc -source" 760 KiB
[ebuild  N     ] dev-python/sphinx-1.6.3-r2::gentoo  USE="latex -doc -net {-test}" PYTHON_TARGETS="python2_7 python3_4 -python3_5 (-python3_6)" 4.565 KiB
[ebuild  N     ] dev-python/sphinxcontrib-websupport-1.0.1::gentoo  USE="{-test}" PYTHON_TARGETS="python2_7 python3_4 -python3_5 (-python3_6)" 577 KiB
[ebuild  NS   ~] sys-devel/llvm-5.0.0:5::gentoo [3.9.1-r1:0/3.9.1::gentoo] USE="doc libffi ncurses -debug -gold -libedit {-test}" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="BPF NVPTX (X86) -AArch64 -AMDGPU -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -Sparc -SystemZ -XCore" 0 KiB
[ebuild  N    ~] sys-libs/compiler-rt-sanitizers-5.0.0:5.0.0::gentoo  USE="{-test}" 1.473 KiB
[ebuild  N    ~] sys-devel/clang-5.0.0:5::gentoo  USE="doc static-analyzer xml -debug -default-compiler-rt -default-libcxx {-test} (-z3)" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="BPF NVPTX (X86) -AArch64 -AMDGPU -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -Sparc -SystemZ -XCore" PYTHON_TARGETS="python2_7" 11.801 KiB
[ebuild  N    ~] sys-libs/compiler-rt-5.0.0:5.0.0::gentoo  USE="clang {-test}" 0 KiB
[ebuild  N    ~] sys-devel/clang-runtime-5.0.0:5.0.0::gentoo  USE="compiler-rt openmp sanitize -libcxx" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U ~] www-client/firefox-57.0::gentoo [52.4.0::gentoo] USE="dbus gmp-autoupdate jack nsplugin%* pulseaudio screenshot%* startup-notification -bindist -custom-cflags -custom-optimization -debug -eme-free -hardened -hwaccel (-neon) -pgo (-selinux) -system-harfbuzz (-system-icu) -system-jpeg -system-libevent -system-libvpx -system-sqlite {-test} -wifi (-gtk2%) (-jemalloc%*) (-rust%) (-system-cairo%)" L10N="de -ach -af -an -ar -as -ast -az -bg -bn-BD -bn-IN -br -bs -ca -cak -cs -cy -da -dsb -el -en-GB -en-ZA -eo -es-AR -es-CL -es-ES -es-MX -et -eu -fa -ff -fi -fr -fy -ga -gd -gl -gn -gu -he -hi -hr -hsb -hu -hy -id -is -it -ja -ka -kab -kk -km -kn -ko -lij -lt -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv -ta -te -th -tr -uk -uz -vi -xh -zh-CN -zh-TW" 245.314 KiB
[blocks B      ] <sys-devel/llvm-4.0.0_rc:0 ("<sys-devel/llvm-4.0.0_rc:0" is blocking sys-devel/clang-5.0.0)
[blocks B      ] sys-devel/llvm:0 ("sys-devel/llvm:0" is blocking sys-devel/llvm-common-5.0.0, sys-devel/llvm-5.0.0)

Total: 40 packages (4 upgrades, 34 new, 1 in new slot, 1 reinstall), Size of downloads: 360.886 KiB
Conflict: 2 blocks (2 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-devel/clang-5.0.0:5/5::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-devel/clang-4.0.1 required by (www-client/firefox-57.0:0/0::gentoo, ebuild scheduled for merge)
    sys-devel/clang required by (sys-libs/compiler-rt-5.0.0:5.0.0/5.0.0::gentoo, ebuild scheduled for merge)

  (sys-devel/llvm-3.9.1-r1:0/3.9.1::gentoo, installed) pulled in by
    <sys-devel/llvm-5:=[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (<sys-devel/llvm-5:=[abi_x86_32(-),abi_x86_64(-)]) required by (media-libs/mesa-17.0.6:0/0::gentoo, installed)
    <sys-devel/llvm-5:0/3.9.1=[abi_x86_32(-),abi_x86_64(-)] required by (media-libs/mesa-17.0.6:0/0::gentoo, installed)
    >=sys-devel/llvm-3.6.0:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (>=sys-devel/llvm-3.6.0:0[abi_x86_32(-),abi_x86_64(-)]) required by (media-libs/mesa-17.0.6:0/0::gentoo, installed)

  (sys-devel/llvm-5.0.0:5/5::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-devel/llvm-4.0.1 required by (www-client/firefox-57.0:0/0::gentoo, ebuild scheduled for merge)
    >=sys-devel/llvm-4 required by (sys-libs/compiler-rt-sanitizers-5.0.0:5.0.0/5.0.0::gentoo, ebuild scheduled for merge)
    >=sys-devel/llvm-4 required by (sys-libs/compiler-rt-5.0.0:5.0.0/5.0.0::gentoo, ebuild scheduled for merge)
    >=sys-devel/llvm-3.9.0 required by (sys-libs/libcxx-3.9.1:0/0::gentoo, installed)
    ~sys-devel/llvm-5.0.0:5=[debug=,llvm_targets_AArch64?,llvm_targets_AMDGPU?,llvm_targets_ARM?,llvm_targets_BPF?,llvm_targets_Hexagon?,llvm_targets_Lanai?,llvm_targets_Mips?,llvm_targets_MSP430?,llvm_targets_NVPTX?,llvm_targets_PowerPC?,llvm_targets_Sparc?,llvm_targets_SystemZ?,llvm_targets_X86?,llvm_targets_XCore?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (~sys-devel/llvm-5.0.0:5=[-debug,llvm_targets_BPF,llvm_targets_NVPTX,llvm_targets_X86,abi_x86_64(-)]) required by (sys-devel/clang-5.0.0:5/5::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


Mir wäre es natürlich lieber erstmal den "stable" Firefox zu nutzen.
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...


Last edited by Linubie on Thu Dec 07, 2017 7:01 pm; edited 1 time in total
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2167
Location: Germany

PostPosted: Fri Nov 17, 2017 3:38 pm    Post subject: Reply with quote

Das Problem hatte ich gestern auch auf meiner ARM-Architektur. Auf meinen beiden andren Rechnern lief das durch. Zwar auch mit llvm 3.9.1-r1, sys-devel/clang habe ich da nicht installiert und compiler-rt, compiler-rt-sanitizers auch nicht und llvm-common auch nicht.

Versuch mal raus zu finden was bei dir unbedingt clang-5.0 haben will und was llvm und llvm-common und versuche bei 3.9.1 zu bleiben. Dann solltest du (wenn was anders nicht auch zwangsweise clang 5 und Co braucht. Den Firefox 57 emergen können.

Auf meinem anderen Rechner wo ich zuerst firefox installierte, konnte ich halt auch clang und compiler rt über keywords frei schalten, ich schau heute Nacht mal was genau da war. Auf meinem ARM-Laptop kam ich aber in die Situation wie bei dir und konnte das Problem nicht lösen.

Kommando zurück!
Ich hab auf den anderen Rechnern wahrscheinlich MESA 17.2.5 auch in den package.keywords drin. Dann läuft es bei mir ohne zu murren. OK, eben noch mal nachgeschaut. Auf dem System ohne sys-devel/clang (x86) ist Mesa 17.1.8 stable. Sind vielleicht auch unterschiedliche Useflags.
Back to top
View user's profile Send private message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 234

PostPosted: Sat Nov 18, 2017 3:00 pm    Post subject: Reply with quote

Bei mir habe ich mit mesa-17.2.5 und den angegebenen USEFLAGS auch getestet, leider ändert das nix.
Code:


emerge -av mesa

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] media-libs/mesa-17.2.5::gentoo  USE="classic dri3 egl gallium gbm llvm nptl vdpau wayland -bindist -d3d9 -debug -gles1 -gles2 -opencl -openmax -osmesa -pax_kernel -pic (-selinux) -unwind -vaapi -valgrind -vulkan -xa -xvmc" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="(-freedreno) -i915 -i965 (-imx) -intel -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi (-vc4) -virgl (-vivante) -vmware" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3493
Location: Germany

PostPosted: Sat Nov 18, 2017 9:47 pm    Post subject: Reply with quote

Hm, wenn du mit mesa weder radeon, radeonsi, oder/und opencl nutzt, dann kann (oder sollte) man das bei mesa per default gesetzte llvm Useflag am besten deaktivieren.
Das erspart einem ggf ne menge unnötige Kompilierzeit, und in diesem Fall auch die llvm/clang Konflikte wenn man mit der stable mesa Version >=firefox-57 testing auf einem amd64 System nutzen möchte.

Linubie wrote:
Mir wäre es natürlich lieber erstmal den "stable" Firefox zu nutzen.
Hm, dann schau mal ob es eventuell nur eine Erweiterung, ein add-on ist die da solche Probleme verursacht.
Vorschlag: starte firefox mal in der konsole mit
"--safe-mode Disables extensions and themes for this session."
und teste ob der Fehler dann noch immer auftritt.
Back to top
View user's profile Send private message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 234

PostPosted: Sun Nov 19, 2017 11:31 am    Post subject: Reply with quote

Josef.95 wrote:
Hm, wenn du mit mesa weder radeon, radeonsi, oder/und opencl nutzt, dann kann (oder sollte) man das bei mesa per default gesetzte llvm Useflag am besten deaktivieren.
Das erspart einem ggf ne menge unnötige Kompilierzeit, und in diesem Fall auch die llvm/clang Konflikte wenn man mit der stable mesa Version >=firefox-57 testing auf einem amd64 System nutzen möchte.

Linubie wrote:
Mir wäre es natürlich lieber erstmal den "stable" Firefox zu nutzen.
Hm, dann schau mal ob es eventuell nur eine Erweiterung, ein add-on ist die da solche Probleme verursacht.
Vorschlag: starte firefox mal in der konsole mit
"--safe-mode Disables extensions and themes for this session."
und teste ob der Fehler dann noch immer auftritt.


Hallo, danke für die Antworten,

die alte Version habe ich ja extra mit einem "frischen config-Verzeichnis" gestartet, wie ich bereits am Anfang erwähnte:
Quote:
Firefox 52.4 schießt sich ab sobald ich https://www.reddit.com/ anzeigen lassen will.
Ich habe dafür zum test ein ganz frisches config Verzeichnis benutzt:


Wenn man z.B. nach
Code:
[Parent 23303] WARNING: pipe error (55)
sucht findet man auch einige etwas ältere Einträge im Netz.
was mich an der Fehlermeldung stutzig macht das sich das nicht auf das ~.mozilla Vereichnis bezieht sondern auf
Code:
/var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc


Um diese ganze Arie mit den Abhängigkeiten zu umgehen habe ich zum Test mal Firefox-bin installiert.
Das aber die stable Version abstürzt ärgert mich schon ein wenig, da ich den Grund nicht nachvollziehen kann und ich nicht weiß ob sich das auch auf andere Komponenten im System auswirken kann. Weil vielleicht irgendein Library ne Macke hat.
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3493
Location: Germany

PostPosted: Fri Nov 24, 2017 5:38 am    Post subject: Reply with quote

Linubie wrote:
Josef.95 wrote:
Hm, wenn du mit mesa weder radeon, radeonsi, oder/und opencl nutzt, dann kann (oder sollte) man das bei mesa per default gesetzte llvm Useflag am besten deaktivieren.
Das erspart einem ggf ne menge unnötige Kompilierzeit, und in diesem Fall auch die llvm/clang Konflikte wenn man mit der stable mesa Version >=firefox-57 testing auf einem amd64 System nutzen möchte.

Linubie wrote:
Mir wäre es natürlich lieber erstmal den "stable" Firefox zu nutzen.
Hm, dann schau mal ob es eventuell nur eine Erweiterung, ein add-on ist die da solche Probleme verursacht.
Vorschlag: starte firefox mal in der konsole mit
"--safe-mode Disables extensions and themes for this session."
und teste ob der Fehler dann noch immer auftritt.


Hallo, danke für die Antworten,

die alte Version habe ich ja extra mit einem "frischen config-Verzeichnis" gestartet, wie ich bereits am Anfang erwähnte:
Quote:
Firefox 52.4 schießt sich ab sobald ich https://www.reddit.com/ anzeigen lassen will.
Ich habe dafür zum test ein ganz frisches config Verzeichnis benutzt:

[...]
Ja, aber auch ein ganz frisches ~/.mozilla Profil schließt nicht zwingend aus das nicht doch irgendwelche (zb systemweit, für alle User installierte) Erweiterungen mit geladen werden.

Vorschlag: Teste ansonsten doch bitte auch mal das aktuelle =firefox-52.5.0 ESR Release
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2167
Location: Germany

PostPosted: Fri Nov 24, 2017 10:58 am    Post subject: Reply with quote

Ah du hast da Probleme mit reddit, ich hatte beim letzten Posten den Tunnelblick, bin ein wenig erkältet.

Schau dir mal an wann du das letzte mal dev-libs/nss, dev-libs/nspr neu gebaut hast. Nicht das du z.B. ein Compilerupdate gemacht hast und bei dem revdep-rebuild war was falsch gelaufen.

Bei solchen fällen schau ich mir auch gern mal emerge -Dvpau firefox an ob die Abhängigkeiten sich vielleicht aktualisiert haben.

Zudem muss man auf die Useflags achten. Bei Firefox kann man ja die "system-$LIB_NAME" Useflags setzen, wodurch dann nicht die Librarys verwendet werden die der Firefox mit bringt sondern jene welche du selber auf dem System installiert hast (harfbuzz icu libevent libvpx libsqlite jpeg). Wenn es da Sicherheitsupdtes gab und man selber die Pakete im Auge behält und mit aktuallisiert, ist das halt praktischer nicht die vor kompilierten vom Fuchs zu verwenden. Es kann aber bei Versions-Sprüngen -besonders wenn der Fuchs was älter ist- dazu kommen das etwas dann nicht läuft. Aber in der Regel findet man dann Hinweise auf die Lib beim Start vom Fuchs aus dem Terminal, weil dort die Fehler landen.

Hier auf dem System hab ich alle system-libs aus dem Fuchspaket bis auf jpeg.

Mit ldd kannst du schauen gegen welche Libs das Paket dynamisch gelinkt wurde:

Code:
 # ldd  /usr/bin/firefox
        linux-gate.so.1 (0xb7781000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb7731000)
        libdl.so.2 => /lib/libdl.so.2 (0xb772c000)
        libstdc++.so.6 => /usr/lib/gcc/i686-pc-linux-gnu/5.4.0/libstdc++.so.6 (0xb7539000)
        libgcc_s.so.1 => /usr/lib/gcc/i686-pc-linux-gnu/5.4.0/libgcc_s.so.1 (0xb751e000)
        libc.so.6 => /lib/libc.so.6 (0xb7364000)
        /lib/ld-linux.so.2 (0xb7782000)
        libm.so.6 => /lib/libm.so.6 (0xb730a000)


Interessanterweise taucht libjpeg da gar nicht auf. FF57 braucht das wohl nicht mehr oder bringt eine eigene Implementierung über RUST, statt C mit.

Wenn gar nix mehr geht probier doch mal den Binären Fuchs.
Back to top
View user's profile Send private message
mrsteven
Veteran
Veteran


Joined: 04 Jul 2003
Posts: 1938

PostPosted: Sat Nov 25, 2017 5:18 pm    Post subject: Reply with quote

Ich hatte vermutlich das gleiche Problem auch vor kurzem. Bei mir lag es daran, dass /dev/shm zu klein war. Seit ich das auf 1GB vergrößert habe, gibt es bei mir die Abstürze nicht mehr:
/etc/fstab:
#...
none                    /dev/shm        tmpfs           nosuid,noexec,nodev,size=1024m          0 0
#...

_________________
Unix philosophy: "Do one thing and do it well."
systemd: "Do everything and do it wrong."
Back to top
View user's profile Send private message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 234

PostPosted: Sun Nov 26, 2017 5:23 pm    Post subject: Reply with quote

mrsteven wrote:
Ich hatte vermutlich das gleiche Problem auch vor kurzem. Bei mir lag es daran, dass /dev/shm zu klein war. Seit ich das auf 1GB vergrößert habe, gibt es bei mir die Abstürze nicht mehr:
/etc/fstab:
#...
none                    /dev/shm        tmpfs           nosuid,noexec,nodev,size=1024m          0 0
#...


Code:
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev,noexec,size=1048576k)


klappt leider auch nicht, der Tab in dem reddit angezeigt werden soll stürzt immer noch ab.

und emerge scheint soweit glücklich zu sein

Code:
emerge -Dvpau firefox

These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 KiB


Firefox-bin 57 läuft soweit, Firefox-bin 52.4 müsste ich nochmal checken.
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2167
Location: Germany

PostPosted: Wed Nov 29, 2017 11:56 am    Post subject: Reply with quote

Linubie wrote:

Firefox-bin 57 läuft soweit, Firefox-bin 52.4 müsste ich nochmal checken.


Hast du denn immer noch Abstürze bei reddit?
Vielleicht irgendein Addon? Wobei die sind beim -safe-browser ja eigentlich ausgeschaltet.

den Firefox von der Terminal gestartet und dann die Seite aufgerufen

Code:
$ firefox https://www.reddit.com


wirft keine Fehler auf?

Wenn du immer noch die pipe error Fehler hast, hilft vielleicht dieser Tipp von stackoverflow, nutzer JRP.

Quote:


I had a similar problem when launching Firefox version 52.3.0 with X11 forwarding on CentOS 7 :

WARNING: pipe error (35): Connexion ré-initialisée par le correspondant: file /builddir/build/BUILD/firefox-52.3.0/firefox-52.3.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 322

And same error (in french) on firefox "Gah, you tab just crash"

To correct this, i tried first to update all the package without success. So i combined two solutions i found on the net :

1- I opened the "about:config" page (just type about:config in the url field then enter) and changed to "false" the 2 options browser.tabs.config.autostart and browser.tabs.config.autostart2

2- I opened the "about:support" page and click on "Repair Firefox..."

Then it works ! but i still have the following problem : i need to do this each time i relaunch firefox; So i should not close all tabs.


Diverse Bugreports zur Nutzung in einer VM, Sandbox oder bei Docker mit einem ähnlichen Fehler konnte ich jetzt auf die Schnelle nicht mit einer direkten Lösung in Verbindung bringen, es wirkt als sei das Problem irgendwann mit neueren Versionen gefixed worden.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3493
Location: Germany

PostPosted: Wed Nov 29, 2017 5:27 pm    Post subject: Reply with quote

Naja, es mit --safe-mode testen wurde bisher noch nicht gemacht,
und der schon gemachte Vorschlag ein rebuild mit dem aktuellen Bugfixrelease =firefox-52.5.0 zu nutzen auch nicht.

Linubie wrote:
Firefox-bin 57 läuft soweit, Firefox-bin 52.4 müsste ich nochmal checken.
Na, die veraltete =firefox-bin-52.4.0 Version ist schon aus dem Tree entfernt worden.
Back to top
View user's profile Send private message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 234

PostPosted: Thu Nov 30, 2017 9:51 pm    Post subject: Reply with quote

Hallo,

das Paket für Firefox ist die 52.4.0, Firefox-bin ist die 52.5.0-r1

Reddit lässt sich ohne Absturz aufrufen, allerdings mit einer kleineren Fehlermeldung.

Code:
firefox https://www.reddit.com  --safe-mode                                                                                                                                                                             
console.error: PushService:                                                                                                                                                                                                                 
  stateChangeProcessEnqueue: Error transitioning state                                                                                                                                                                                     
  UnknownError


Ich verstehe nur nicht so ganz das Firefox mit einem komplett frischen config Verzeichnis abstürzt, allerdings nicht im safe-mode.

Code:
firefox https://www.reddit.com
[Parent 18791] WARNING: pipe error (52): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 322
[Parent 18791] WARNING: pipe error (45): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 322
[Parent 18791] WARNING: pipe error (42): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /var/tmp/portage/www-client/firefox-52.4.0/work/firefox-52.4.0esr/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 322
                                                                                                                                                                                                                                           
###!!! [Parent][MessageChannel] Error: (msgtype=0x2C0085,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv

Bei der bin Version sieht das schon etwas anders aus:

Code:
firefox-bin https://www.reddit.com
1512077895917   addons.xpi-utils        WARN    Could not find source bundle for add-on {aff87fa2-a58e-4edd-b852-0a20203c1e17}: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895919   addons.xpi-utils        WARN    Could not find source bundle for add-on {e968fc70-8f95-4ab9-9e79-304de2a71ee1}: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895920   addons.xpi-utils        WARN    Could not find source bundle for add-on {b9bfaf1c-a63f-47cd-8b9a-29526ced9060}: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895920   addons.xpi-utils        WARN    Could not find source bundle for add-on {B17C1C5A-04B1-11DB-9804-B622A1EF5492}: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895921   addons.xpi-utils        WARN    Could not find source bundle for add-on {b9db16a4-6edc-47ec-a1f4-b86292ed211d}: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895922   addons.xpi-utils        WARN    Could not find source bundle for add-on https-everywhere@eff.org: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895923   addons.xpi-utils        WARN    Could not find source bundle for add-on simple-translate@sienori: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895924   addons.xpi-utils        WARN    Could not find source bundle for add-on {73a6fe31-595d-460b-a920-fcc0f8843232}: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895924   addons.xpi-utils        WARN    Could not find source bundle for add-on uBlock0@raymondhill.net: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895925   addons.xpi-utils        WARN    Could not find source bundle for add-on foxyproxy@eric.h.jung: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895926   addons.xpi-utils        WARN    Could not find source bundle for add-on aushelper@mozilla.org: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895927   addons.xpi-utils        WARN    Could not find source bundle for add-on webcompat@mozilla.org: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895928   addons.xpi-utils        WARN    Could not find source bundle for add-on firefox@getpocket.com: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895928   addons.xpi-utils        WARN    Could not find source bundle for add-on e10srollout@mozilla.org: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895929   addons.xpi-utils        WARN    Could not find source bundle for add-on followonsearch@mozilla.com: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895930   addons.xpi-utils        WARN    Could not find source bundle for add-on formautofill@mozilla.org: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895930   addons.xpi-utils        WARN    Could not find source bundle for add-on onboarding@mozilla.org: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895931   addons.xpi-utils        WARN    Could not find source bundle for add-on activity-stream@mozilla.org: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895931   addons.xpi-utils        WARN    Could not find source bundle for add-on shield-recipe-client@mozilla.org: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895932   addons.xpi-utils        WARN    Could not find source bundle for add-on screenshots@mozilla.org: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895933   addons.xpi-utils        WARN    Could not find source bundle for add-on langpack-de@firefox.mozilla.org: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077895934   addons.xpi-utils        WARN    Could not find source bundle for add-on {972ce4c6-7e08-4474-a285-3208198ce6fd}: [Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIFile.persistentDescriptor]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js :: this.XPIDatabase.parseDB :: line 673"  data: no] Stack trace: this.XPIDatabase.parseDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:673 < this.XPIDatabase.syncLoadDB()@resource://gre/modules/addons/XPIProvider.jsm -> resource://gre/modules/addons/XPIProviderUtils.js:599 < this.XPIProvider.checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3824 < this.XPIProvider.startup()@resource://gre/modules/addons/XPIProvider.jsm:2830 < callProvider()@resource://gre/modules/AddonManager.jsm:237 < _startProvider()@resource://gre/modules/AddonManager.jsm:790 < AddonManagerInternal.startup()@resource://gre/modules/AddonManager.jsm:976 < this.AddonManagerPrivate.startup()@resource://gre/modules/AddonManager.jsm:3033 < amManager.prototype.observe()@resource://gre/components/addonManager.js:65
1512077896785   addons.webextension.foxyproxy@eric.h.jung       WARN    Loading extension 'foxyproxy@eric.h.jung': Reading manifest: Error processing permissions.0: Unknown permission "proxy"
1512077896802   addons.webextension.https-everywhere@eff.org    WARN    Loading extension 'https-everywhere@eff.org': Reading manifest: Error processing devtools_page: An unexpected property was found in the WebExtension manifest.
1512077896814   addons.webextension.simple-translate@sienori    WARN    Loading extension 'simple-translate@sienori': Reading manifest: Error processing permissions.3: Unknown permission "clipboardRead"
1512077896830   addons.webextension.uBlock0@raymondhill.net     WARN    Loading extension 'uBlock0@raymondhill.net': Reading manifest: Error processing permissions.1: Unknown permission "privacy"
1512077896847   addons.webextension.{73a6fe31-595d-460b-a920-fcc0f8843232}      WARN    Loading extension '{73a6fe31-595d-460b-a920-fcc0f8843232}': Reading manifest: Error processing background.persistent: Event pages are not currently supported. This will run as a persistent background page.
1512077896852   addons.webextension.{73a6fe31-595d-460b-a920-fcc0f8843232}      WARN    Loading extension '{73a6fe31-595d-460b-a920-fcc0f8843232}': Reading manifest: Error processing permissions.1: Unknown permission "privacy"
1512077896852   addons.webextension.{73a6fe31-595d-460b-a920-fcc0f8843232}      WARN    Loading extension '{73a6fe31-595d-460b-a920-fcc0f8843232}': Reading manifest: Error processing permissions.4: Unknown permission "unlimitedStorage"
1512077896854   addons.webextension.{73a6fe31-595d-460b-a920-fcc0f8843232}      WARN    Loading extension '{73a6fe31-595d-460b-a920-fcc0f8843232}': Reading manifest: Error processing browser_action.default_area: An unexpected property was found in the WebExtension manifest.
1512077896883   addons.webextension.foxyproxy@eric.h.jung       WARN    Please specify whether you want browser_style or not in your browser_action options.
1512077896897   addons.webextension.https-everywhere@eff.org    WARN    Please specify whether you want browser_style or not in your browser_action options.
1512077896909   addons.webextension.simple-translate@sienori    WARN    Please specify whether you want browser_style or not in your browser_action options.
Extension error: TypeError: command.suggested_key is null chrome://browser/content/ext-commands.js 79
[[Exception stack
loadCommandsFromManifest@chrome://browser/content/ext-commands.js:79:11
CommandList@chrome://browser/content/ext-commands.js:24:19
@chrome://browser/content/ext-commands.js:222:30
runSafeSyncWithoutClone@resource://gre/modules/ExtensionUtils.jsm:71:14
emit/promises<@resource://gre/modules/ExtensionUtils.jsm:384:55
emit@resource://gre/modules/ExtensionUtils.jsm:383:20
runManifest@resource://gre/modules/Extension.jsm:733:23
startup/<@resource://gre/modules/Extension.jsm:813:14
Current stack
runSafeSyncWithoutClone@resource://gre/modules/ExtensionUtils.jsm:73:129
emit/promises<@resource://gre/modules/ExtensionUtils.jsm:384:55
emit@resource://gre/modules/ExtensionUtils.jsm:383:20
runManifest@resource://gre/modules/Extension.jsm:733:23
startup/<@resource://gre/modules/Extension.jsm:813:14
]]
1512077896936   addons.webextension.{b9db16a4-6edc-47ec-a1f4-b86292ed211d}      WARN    Please specify whether you want browser_style or not in your browser_action options.
console.error: PushService:
  stateChangeProcessEnqueue: Error transitioning state
  UnknownError
[Parent 21365] WARNING: pipe error (80): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /builds/slave/m-esr52-l64-000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 322
[Parent 21365] WARNING: pipe error (81): Die Verbindung wurde vom Kommunikationspartner zurückgesetzt: file /builds/slave/m-esr52-l64-000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 322

###!!! [Parent][MessageChannel] Error: (msgtype=0x2C0085,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv

windows.onRemoved event fired after context unloaded.
windows.onRemoved event fired after context unloaded.

_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3493
Location: Germany

PostPosted: Thu Nov 30, 2017 10:44 pm    Post subject: Reply with quote

Hm, sind die Ausgaben oben von einem ~/.mozilla Profil, das schon mal mit einer höheren firefox Version lief?
Falls ja, beachte das ein Downgrade mit schon vorhandenen Profil von upstream nicht unterstützt wird.

Vorschlag: Teste doch bitte mal ein rebuild deiner gewünschten firefox-52 ESR Version.
Und hier würde ich gleich das neue =firefox-52.5.0 Bugfix-Release nehmen (das ist unter Gentoo zZt noch nicht stable markiert - ist aber wahrscheinlich der nächste stable Kandidat).
Versuche es mal bitte mit folgenden Versionen:
/etc/portage/package.accept_keywords/mozilla:
~dev-libs/nspr-4.17
~dev-libs/nss-3.34.1
~www-client/firefox-52.5.0
Code:
emerge -av1 nspr nss firefox
Und teste das ganze dann mit einem jungfräulichen ~/.mozilla Profil.
Back to top
View user's profile Send private message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 234

PostPosted: Thu Dec 07, 2017 7:01 pm    Post subject: Reply with quote

Läuft zur Zeit, 52.4.0 neu kompiliert, habe alles was .mozilla war gelöscht und alle addons neu installiert.
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum